ECPoint.F2m (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.math.ec

## Class ECPoint.F2m

- java.lang.Object
- - org.bouncycastle.math.ec.ECPoint
  - - org.bouncycastle.math.ec.ECPoint.AbstractF2m
    - - org.bouncycastle.math.ec.ECPoint.F2m

- Enclosing class:
    ECPoint

      public static class ECPoint.F2m
      extends ECPoint.AbstractF2m

  Elliptic curve points over F2m

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.math.ec.ECPoint

      `ECPoint.AbstractF2m, ECPoint.AbstractFp, ECPoint.F2m, ECPoint.Fp`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.math.ec.ECPoint

      `curve, EMPTY_ZS, preCompTable, withCompression, x, y, zs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECPoint.F2m(ECCurve curve, ECFieldElement x, ECFieldElement y)` Deprecated. Use ECCurve.createPoint to construct points
    `ECPoint.F2m(ECCurve curve, ECFieldElement x, ECFieldElement y, boolean withCompression)` Deprecated. per-point compression property will be removed, refer `ECPoint.getEncoded(boolean)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPoint` | `add(ECPoint b)`
    `ECPoint.F2m` | `addSimple(ECPoint.F2m b)` Adds another `ECPoints.F2m` to `this` without checking if both points are on the same curve.
    `protected ECPoint` | `detach()`
    `protected boolean` | `getCompressionYTilde()`
    `ECFieldElement` | `getYCoord()` Returns the y-coordinate.
    `ECPoint` | `negate()`
    `ECPoint` | `scaleX(ECFieldElement scale)`
    `ECPoint` | `scaleY(ECFieldElement scale)`
    `ECPoint` | `subtract(ECPoint b)`
    `ECPoint.F2m` | `subtractSimple(ECPoint.F2m b)` Subtracts another `ECPoints.F2m` from `this` without checking if both points are on the same curve.
    `ECPoint.F2m` | `tau()`
    `ECPoint` | `twice()`
    `ECPoint` | `twicePlus(ECPoint b)`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECPoint.AbstractF2m

      `satisfiesCurveEquation`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECPoint

      `checkNormalized, createScaledPoint, equals, equals, getAffineXCoord, getAffineYCoord, getCurve, getCurveCoordinateSystem, getDetachedPoint, getEncoded, getEncoded, getInitialZCoords, getRawXCoord, getRawYCoord, getRawZCoords, getX, getXCoord, getY, getZCoord, getZCoords, hashCode, isCompressed, isInfinity, isNormalized, isValid, multiply, normalize, satisfiesCofactor, threeTimes, timesPow2, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ECPoint.F2m

          public ECPoint.F2m(ECCurve curve,
                     ECFieldElement x,
                     ECFieldElement y)

      Deprecated. Use ECCurve.createPoint to construct points
      Parameters:
        `curve` - base curve
        `x` - x point
        `y` - y point

    - #### ECPoint.F2m

          public ECPoint.F2m(ECCurve curve,
                     ECFieldElement x,
                     ECFieldElement y,
                     boolean withCompression)

      Deprecated. per-point compression property will be removed, refer `ECPoint.getEncoded(boolean)`
      Parameters:
        `curve` - base curve
        `x` - x point
        `y` - y point
        `withCompression` - true if encode with point compression.

  - ### Method Detail

    - #### detach

          protected ECPoint detach()

      Specified by:
        `detach` in class `ECPoint`

    - #### getYCoord

          public ECFieldElement getYCoord()

      Description copied from class: `ECPoint`
      Returns the y-coordinate. Caution: depending on the curve's coordinate system, this may not be the same value as in an affine coordinate system; use normalize() to get a point where the coordinates have their affine values, or use getAffineYCoord() if you expect the point to already have been normalized.
      Overrides:
        `getYCoord` in class `ECPoint`
      Returns:
        the y-coordinate of this point

    - #### scaleX

          public ECPoint scaleX(ECFieldElement scale)

      Overrides:
        `scaleX` in class `ECPoint`

    - #### scaleY

          public ECPoint scaleY(ECFieldElement scale)

      Overrides:
        `scaleY` in class `ECPoint`

    - #### getCompressionYTilde

          protected boolean getCompressionYTilde()

      Specified by:
        `getCompressionYTilde` in class `ECPoint`

    - #### add

          public ECPoint add(ECPoint b)

      Specified by:
        `add` in class `ECPoint`

    - #### addSimple

          public ECPoint.F2m addSimple(ECPoint.F2m b)

      Adds another `ECPoints.F2m` to `this` without checking if both points are on the same curve. Used by multiplication algorithms, because there all points are a multiple of the same point and hence the checks can be omitted.
      Parameters:
        `b` - The other `ECPoints.F2m` to add to `this`.
      Returns:
        `this + b`

    - #### subtract

          public ECPoint subtract(ECPoint b)

      Specified by:
        `subtract` in class `ECPoint`

    - #### subtractSimple

          public ECPoint.F2m subtractSimple(ECPoint.F2m b)

      Subtracts another `ECPoints.F2m` from `this` without checking if both points are on the same curve. Used by multiplication algorithms, because there all points are a multiple of the same point and hence the checks can be omitted.
      Parameters:
        `b` - The other `ECPoints.F2m` to subtract from `this`.
      Returns:
        `this - b`

    - #### tau

          public ECPoint.F2m tau()

    - #### twice

          public ECPoint twice()

      Specified by:
        `twice` in class `ECPoint`

    - #### twicePlus

          public ECPoint twicePlus(ECPoint b)

      Overrides:
        `twicePlus` in class `ECPoint`

    - #### negate

          public ECPoint negate()

      Specified by:
        `negate` in class `ECPoint`